Name:    tig
Version: 2.5.1
Release: 2
Summary: Tig is a ncurses-based text-mode interface for git and it functions mainly as a Git repository browser
License: GPL v2
URL: https://github.com/jonas/tig
Source0: https://github.com/jonas/tig/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz

BuildRequires:  ncurses-devel, asciidoc, git-core, xmlto

%description
Tig is a ncurses-based text-mode interface for git and it functions mainly as a Git repository browser.

%prep
%setup -q

%build
%configure
CFLAGS="$RPM_OPT_FLAGS -DVERSION=tig-%{version}-%{release}"
%{__make} %{_smp_mflags} \
	prefix=%{_prefix} \
	all %{!?_without_docs: doc-man doc-html}

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
CFLAGS="$RPM_OPT_FLAGS -DVERSION=tig-%{version}-%{release}"
%{__make} %{_smp_mflags} DESTDIR=$RPM_BUILD_ROOT \
	prefix=%{_prefix} bindir=%{_bindir} mandir=%{_mandir} \
	install %{!?_without_docs: install-doc-man}

%pre
%preun
%post
%postun

%check

%files
%defattr(-,root,root)
%{_bindir}/*
%{_sysconfdir}/*
%doc README.adoc COPYING INSTALL.adoc NEWS.adoc contrib/tig-completion.bash contrib/tig-completion.zsh
%{!?_without_docs: %{_mandir}/man1/*.1*}
%{!?_without_docs: %{_mandir}/man5/*.5*}
%{!?_without_docs: %{_mandir}/man7/*.7*}
%{!?_without_docs: %doc doc/*.html}
%{?_without_docs:  %doc doc/*.txt}

%changelog
* Wed Mar 31 2021 StrongTiger_001 <StrongTiger_001@isrc.iscas.ac.cn> - 2.5.1-2
- Fix the grammar mistake for the tool description.
* Wed Dec 28 2020 StrongTiger_001 <StrongTiger_001@isrc.iscas.ac.cn> - 2.5.1-1
- Supplement the BuildRequires.
* Sat Oct 03 2020 StrongTiger_001 <StrongTiger_001@isrc.iscas.ac.cn> - 2.5.1-0
- Add Package init and port tig to aarch64.

